Chinaunix首页 | 论坛 | 博客
  • 博客访问: 916659
  • 博文数量: 632
  • 博客积分: 2778
  • 博客等级: 大尉
  • 技术积分: 3387
  • 用 户 组: 普通用户
  • 注册时间: 2012-05-31 09:09
个人简介

123

文章分类

全部博文(632)

文章存档

2014年(36)

2013年(33)

2012年(563)

分类: LINUX

2012-12-14 12:41:04

转自:http://www.linuxidc.com/Linux/2011-07/38520.htm

1.  背景

CentOS5.4自带的Python版本是2.4.3,但是目前许多基于Python的应用软件要求的Python版本应要高于2.4。(如Robot Framework2.5要求Python版本至少是2.5

2.  目标

CentOS自带的Python2.4.3版本升级到2.6.5版本。

3.  实施

(1)下载/安装python

下载Python2.6.5.tar.bz2(下载地址: http://www.python.org/ftp/python/2.6.5/Python-2.6.5.tar.bz2)

$tar jxvf  Python2.6.5.tar.bz2

$cd Python2.6.5

$./configure

$make && make install

自此,python2.6安装后路径默认是在/usr/local/lib/python2.6

查看Python版本:

$ /usr/local/bin/python2.6 -V

(2)建立软连接,使系统默认的python指向python2.6

正常情况下即使python2.6安装成功后,系统默认指向的python仍然是2.4.3版本,考虑到yum是基于python2.4.3才能正常工作,不敢轻易卸载。如何实现将系统默认的python指向到2.6版本呢?

mv /usr/bin/python  /usr/bin/python.bak

ln -s //usr/local/bin/python2.6 /usr/bin/python

检验python指向是否成功

python -V

(3) 解决系统python软链接指向python2.6版本后,yum不能正常工作

方法:

$vi /usr/bin/yum

将文本编辑显示的#/usr/bin/python修改为#/usr/bin/python2.4,保存修改即可

 

阅读(318) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~